Show / Hide Table of Contents

# Enum CompletionItemKind

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public enum CompletionItemKind

### Fields

Name | Description
--- | ---
Class |
Color |
Constructor |
Enum |
Field |
File |
Function |
Interface |
Keyword |
Method |
Module |
Property |
Reference |
Snippet |
Text |
Unit |
Value |
Variable |